Bug 132319 - task_struct leak in posix-timers
Summary: task_struct leak in posix-timers
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-10 21:05 UTC by Roland McGrath
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-12 09:29:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program to show timer_create leaking task_structs (809 bytes, text/plain)
2004-09-10 21:06 UTC, Roland McGrath
no flags Details
fix for task_struct leak in timer_create (1.14 KB, patch)
2004-09-10 21:09 UTC, Roland McGrath
no flags Details | Diff

Description Roland McGrath 2004-09-10 21:05:14 UTC
Description of problem:

timer_create with other than SIGEV_THREAD_ID leaks a task_struct.

Version-Release number of selected component (if applicable):
2.6.9-rc1, let's say

How reproducible:
100%

Steps to Reproduce:
1. use timer_create over and over in new processes,
   e.g. try attached test program 
2. check slabtop
3. watch task_struct count grow out of control
  
Actual results:

leak

Expected results:

no leak 

Additional info:

fix on the way

Comment 1 Roland McGrath 2004-09-10 21:06:01 UTC
Created attachment 103703 [details]
test program to show timer_create leaking task_structs

gcc -o timerleak -g timerleak.c -lrt -Wall

Comment 2 Roland McGrath 2004-09-10 21:09:57 UTC
Created attachment 103704 [details]
fix for task_struct leak in timer_create

I've submitted this fix upstream.

Comment 3 Roland McGrath 2004-09-12 09:29:41 UTC
Fix went into Linus's tree.


Note You need to log in before you can comment on or make changes to this bug.